Bug 1562144 - nmh 1.7.1-3.el7 switches default sendmail port to 587 from 25, breaking applications
Summary: nmh 1.7.1-3.el7 switches default sendmail port to 587 from 25, breaking appli...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: nmh
Version: epel7
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: David Levine
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-29 15:48 UTC by Bryan Wright
Modified: 2018-05-03 15:06 UTC (History)
4 users (show)

Fixed In Version: nmh-1.7.1-4.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-21 02:56:48 UTC
Type: Bug


Attachments (Terms of Use)

Description Bryan Wright 2018-03-29 15:48:23 UTC
Description of problem:

nmh-1.7.1-3.el7 switched the default port for connecting to sendmail from 25 to 587.  If the local sendmail only listens on port 25, this causes applications using nmh to be unable to send mail.

By default, sendmail under CentOS 7 (sendmail-8.14.7-5.el7.x86_64) only 
listens on port 25.


Version-Release number of selected component (if applicable):
nmh-1.7.1-3.el7

How reproducible:


Steps to Reproduce:
1. upgrade from nmh-1.6-7.el7.x86_64 to nmh-1.7.1-3.el7.x86_64
2. try to send mail with "post" without specifying port number.
3. 


Actual results:
mail fails with:
"post: problem initializing server; [BHST] no servers available (use -snoop for details"

Expected results:
mail should be sent.

Additional info:
The change of the default port isn't noted in the package's changelog.

Comment 1 David Levine 2018-03-30 00:22:08 UTC
I'm not sure what we should do about this, suggestions welcome.   

The easy workaround is for each user to add to their ~/.mh_profile:

send: -port smtp

If they already have a send component in their profile, they should add that -port switch to it, of course.

The change is noted in the nmh NEWS file:
    The following are new features for the 1.7 release of nmh:
    ...
    - post now defaults to port 587 on 'smtp' message submission.

Comment 2 Bryan Wright 2018-04-04 13:59:29 UTC
The best solution would be a patch that reverts the default port back to 25, since that was always the default in the past.  Such a patch would need to change a line in uip/post.c from:

static char *port="submission"; /* Name of server port for SMTP submission */

to

static char *port="smtp"; /* Name of server port for SMTP submission */

I've put such a patch here:

https://pastebin.com/raw/G76h9vyL

and a modified spec file that uses it here:

https://pastebin.com/raw/nDrFksY7

Comment 3 Fedora Update System 2018-04-05 00:18:15 UTC
nmh-1.7.1-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-704273cf29

Comment 4 Fedora Update System 2018-04-05 00:19:01 UTC
nmh-1.7.1-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-674f79819e

Comment 5 Fedora Update System 2018-04-05 00:19:54 UTC
nmh-1.7.1-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-f29771f4e1

Comment 6 Fedora Update System 2018-04-05 00:20:33 UTC
nmh-1.7.1-4.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-45b32fa01c

Comment 7 David Levine 2018-04-05 00:31:41 UTC
Patch appied.  Thank you, Bryan.

Karma for each of the four builds above would help speed things along.

Comment 8 Fedora Update System 2018-04-05 16:04:00 UTC
nmh-1.7.1-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-674f79819e

Comment 9 Fedora Update System 2018-04-05 19:13:08 UTC
nmh-1.7.1-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-f29771f4e1

Comment 10 Fedora Update System 2018-04-06 01:03:56 UTC
nmh-1.7.1-4.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-45b32fa01c

Comment 11 Fedora Update System 2018-04-06 02:32:06 UTC
nmh-1.7.1-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-704273cf29

Comment 12 Bryan Wright 2018-04-06 13:10:04 UTC
Thanks!  I've updated to the new package from epel 7 testing and it seems to work fine.

Comment 13 Fedora Update System 2018-04-10 22:56:55 UTC
nmh-1.7.1-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2018-04-15 14:43:42 UTC
nmh-1.7.1-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2018-04-16 21:44:43 UTC
nmh-1.7.1-5.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-0e03bcdc5c

Comment 16 Fedora Update System 2018-04-18 04:15:45 UTC
nmh-1.7.1-5.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-0e03bcdc5c

Comment 17 Fedora Update System 2018-04-21 02:56:48 UTC
nmh-1.7.1-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2018-05-03 15:06:53 UTC
nmh-1.7.1-5.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.